import request from '@/utils/request'


// 查询首页banner图列表
export function listBanner(data) {
  return request({
    url: '/sist/banner/list',
    method: 'post',
    data: data
  })
}

// 导出首页banner图
export function exportBanner(data) {
  return request({
    url: '/sist/banner/export',
    method: 'post',
    data: data
  })
}

// 查询首页banner图详细
export function getBanner(id) {
  return request({
    url: '/sist/banner/' + id,
    method: 'get'
  })
}

// 新增首页banner图
export function addBanner(data) {
  return request({
    url: '/sist/banner',
    method: 'post',
    data: data
  })
}

// 修改首页banner图
export function updateBanner(data) {
  return request({
    url: '/sist/banner',
    method: 'put',
    data: data
  })
}

// 删除首页banner图
export function delBanner(id) {
  return request({
    url: '/sist/banner/' + id,
    method: 'delete'
  })
}